WITH Ada.Text_IO;
WITH Ada.Float_Text_IO;
PROCEDURE Distance_with_Errors IS
--------------------------------------------------------------
--| Finds distance, given travel time and average speed
--| Author: Michael eldman, The George Washington University
--| Last Modified: June 1998
--------------------------------------------------------------
  HowLong : Natural;
  HowFast : Float;
  HowFar  : Natural;

BEGIN -- Distance_with_Errors

  -- prompt user for hours and average speed
  Ada.Text_IO.Put
    (Item => "How long will you be driving (integer) ? ");
  Ada.Float_Text_IO.Get (Item => HowLong);
  Ada.Text_IO.Put
    (Item => "At what speed (miles per hour, integer)?");
  Ada.Float_Text_IO.Get (Item => HowFast);

  -- compute distance driven
  HowFast := HowLong * HowFar;

  -- display results
  Ada.Text_IO.Put (Item => "You will travel about ");
  Ada.Float_Text_IO.Put (Item => HowFar);
  Ada.Text_IO.Put (Item => " miles");
  Ada.Text_IO.New_Line;

END Distance_with_Errors;

