WITH Spider;
PROCEDURE Draw_Box_with_2_Loops IS
----------------------------------------------------------------
--| Draw 4 x 4 box with spider - use nested loops
--| Author: M. B. Feldman, The George Washington University
--| Last Modified: July 1998
----------------------------------------------------------------
BEGIN -- Draw_Box_with_2_Loops

  Spider.Start;
  Spider.Face(WhichWay => Spider.RandomDirection);

  FOR Side IN 1..4 LOOP
    Spider.ChangeColor(Spider.RandomColor);
    FOR Count IN 1..5 LOOP
      Spider.Step;
    END LOOP;
    Spider.TurnRight;
  END LOOP;

  Spider.Quit;

END Draw_Box_with_2_Loops;

