WITH Ada.Text_IO;
WITH Ada.Float_Text_IO;
PROCEDURE Inch_to_CM IS
------------------------------------------------------------------------
--| Converts inches to centimeters
--| Author: Michael B. Feldman, The George Washington University
--| Last Modified: June 1998
------------------------------------------------------------------------

  CMPerInch   : CONSTANT Float := 2.54;
  Inches      : Float;
  Centimeters : Float;

BEGIN -- Inch_to_CM

  -- Prompt user for value in inches
  Ada.Text_IO.Put (Item => "Enter a length in inches> ");
  Ada.Float_Text_IO.Get (Item => Inches);

  -- Compute equivalent value in centimeters
  Centimeters := CMPerInch * Inches;

  -- Display result
  Ada.Text_IO.Put (Item => "That equals ");
  Ada.Float_Text_IO.Put (Item => Centimeters);
  Ada.Text_IO.Put (Item => " centimeters");
  Ada.Text_IO.New_Line;

END Inch_to_CM;


