FUNCTION IsFilled (TicTacToe : BoardArray) RETURN Boolean IS
-- Pre : Elements of array TicTacToe are assigned values.
--       An empty cell contains the value Empty
-- Post: Returns True if array is filled; otherwise,
--       returns False.

BEGIN  -- IsFilled 

  -- Set Board_Filled to False and return if any cell is empty. 
  FOR Row IN MoveRange LOOP
    FOR Column IN MoveRange LOOP
      IF TicTacToe(Row,Column) = Empty THEN
        RETURN False;       -- board is not filled  
      END IF;
    END LOOP;
  END LOOP;

  RETURN True;                -- board is filled  

END IsFilled;


