WITH Spider;
PROCEDURE Spider_Crash IS
----------------------------------------------------------------
--| This program demonstrates an Ada 95 runtime error.
--| Spider tries to take 12 steps from center of room;
--|   it hits the wall and an exception is raised.
--| Author: M. B. Feldman, The George Washington University
--| Last Modified: July 1998
----------------------------------------------------------------
BEGIN -- Spider_Crash

  Spider.Start;
  Spider.ChangeColor(NewColor => Spider.Red);

  FOR Count IN 1..12 LOOP
    Spider.Step;
  END LOOP;

  Spider.Quit;

END Spider_Crash;
